#ifndef CAMERAWINDOW_H
#define CAMERAWINDOW_H

#include <QMainWindow>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QTimer>
#include <QNetworkRequest>

#include <string.h>
#include <fstream>

#include <stdio.h>
#include <stdlib.h>

using namespace std;
namespace Ui {
	class CameraWindow;
}

class CameraWindow : public QMainWindow {
	Q_OBJECT
	public:
		CameraWindow(QWidget *parent = 0);
		~CameraWindow();
		
		void cameraStart	( QString s_camera_ip, unsigned int un_camera_port);
		void cameraStop		( void );
	
	private:
		Ui::CameraWindow *ui;
		QNetworkAccessManager *m_netwManager;
		QTimer *m_TCamera;
		QNetworkRequest m_request;

		QString sCameraIP;
	private slots:
		void getImage();
		void slot_netwManagerFinished(QNetworkReply *reply);
};

#endif // MAINWINDOW_H
