#ifndef NETWORKTAB_H
#define NETWORKTAB_H

#include <QDialog>
#include <QtGui>

class NetworkTab : public QWidget
{
	Q_OBJECT

	public:
		NetworkTab();

		
		QString				getUser					( void );
		void 					setUser					(QString s_user );
		
		unsigned int 	getWorkStation	( void );
		void 					setWorkStation 	(unsigned int index );

		QString				getFilePath 		( void );
		void 					setFilePath			( QString  s_path );
		
		QString				getFilePrefix 	( void );
		void 					setFilePrefix	( QString  s_prefix );

		QString				getIP						( void );
		void 					setIP						( QString  s_ip );
		
		unsigned int 	getPort 				( void );
		void 					setPort 				( unsigned int u_port );
		
		unsigned int 	getCameraPort 	( void );
		void 					setCameraPort 	( unsigned int u_port );


	private:
		//vars
		QLineEdit 	*userValue;
		QLineEdit 	*passValue;
		QPushButton *authButton;
		
		/*QLineEdit 		*IPValue;*/
		/*QSpinBox 			*portValue;*/
		QComboBox			*workstation;
		QString				sIP;
		unsigned int 	uPort;
		unsigned int 	uCameraPort;
		
		QLineEdit 	*filePathValue;
		QLineEdit 	*filePrefixValue;
	private slots:
		void SelectFilePath    ( void );
		void workstationToIP   ( void );
};

#endif //NETWORKTAB_H
